
package test;

import java.io.*;
import java.net.*;
import utils.Message;


public class MainClient {

    public MainClient() throws IOException, ClassNotFoundException {
    	System.out.println("[CLIENT] START");
        Socket socket = new Socket( "localhost", 1236 );
        System.out.println("[CLIENT] Debug1");
        ObjectOutputStream oboust = new ObjectOutputStream(socket.getOutputStream());
        System.out.println("[CLIENT] Debug2");
        ObjectInputStream  obinstr = new ObjectInputStream(socket.getInputStream());
    	System.out.println("[CLIENT] START1");
        Message senden = new Message( "berdan", "test" );
        System.out.println(senden); //nickname=berdan, message=test

        // Message senden
        oboust.writeObject(senden);
        oboust.flush();
        System.out.println("[CLIENT] NACHRICHT GESENDET");
        
        // Message erhalten
        
        Object erhalten = null;
        
        while(erhalten==null){
        erhalten = obinstr.readObject();
        System.out.println(erhalten);
        }
        System.out.println("[CLIENT] NACHRICHT ERHALTEN");
        System.out.println(erhalten); //nickname=berdan, message=test

        oboust.close();
        obinstr.close();
        socket.close();
    }

    public static void main(String args[]) throws IOException, ClassNotFoundException {
        new MainClient();
    }
}
